import { AfterViewInit, ElementRef, Renderer2, SimpleChanges } from '@angular/core';
import { NgxTruncateService } from './ngx-truncate.service';
export declare class NgxTruncateTextDirective implements AfterViewInit {
    private elRef;
    private renderer;
    private trunService;
    private element;
    private _highlightQuery;
    more: string;
    less: string;
    number: number;
    completeWord: boolean;
    hashtag: boolean;
    hasLiteral: boolean;
    highlightCondition: string;
    highlightList: string;
    target: string;
    replace: boolean;
    text: string;
    constructor(elRef: ElementRef, renderer: Renderer2, trunService: NgxTruncateService);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    fill(text: any): void;
    showFullText(mouseDown: MouseEvent): void;
    hideSomeText(mouseDown: MouseEvent): void;
}
